Subject: RE: WPS Guaranty
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 15 Jun 2000 01:46:00 -0700 (PDT)

Russell:
I will take a look at the Guaranty and get back to you but my recollection 
was that the termination provisions did not make clear that the Guaranty 
would remain in place with respect to obligations that arose after the 
termination date with respect to transactions that were entered into prior to 
the termination date and taht was the concept that needs to be addressed.
Carol

	Russell Diamond
	06/15/2000 08:07 AM
		 
		 To: Susan Flynn/HOU/ECT@ECT
		 cc: Carol St Clair/HOU/ECT@ECT
		 Subject: RE: WPS Guaranty

Susan,
Carol,

I reviewed this response from the credit person at WPS, I have looked at the 
Guaranty we receive from them with respect to the paragraph he refers to, I 
do not know if the particular sufficient satisfies your request or if your 
requested language stills needs to be inserted.

Please advise,
Russell

---------------------- Forwarded by Russell Diamond/HOU/ECT on 06/15/2000 
08:04 AM ---------------------------

"Davis, Michael" <[email-masked]> on 06/14/2000 03:10:32 PM
To: "'Russell Diamond'" <[email-masked]>
cc:  
Subject: RE: WPS Guaranty

Russell,

There is already language in the Guaranty that acknowledges and guarantees
payment of WPS ESI obligations and liabilities under terms of the
"Agreements".  You request only restates what has already been defined and
agreed to.  I don't understand why it needs to be stated again.

> -----Original Message-----
> From: Russell Diamond [SMTP:[email-masked]]
> Sent: Wednesday, June 14, 2000 12:07 PM
> To: [email-masked]
> Cc: Susan Flynn
> Subject: WPS Guaranty
>
>
>
> Michael,
>
> Pursuant to the ISDA that we are looking to put in place, the paragraph
> below
> needs to be added into the guaranty provided by WPS Resources in order to
> ensure
> that obligations will be covered if the guaranty is not renewed.
>
>
> "Guarantor acknowledges and agrees that if the Guaranty terminates either
> on a
> date certain or pursuant to the termination provision set forth therein,
> that it
> shall be liable under such Guaranty for any obligations and liabilities of
> WPS
> Energy Services, Inc. with respect to any Agreements (as defined in the
> Guaranty) entered into prior to the effective date of such termination."
>
> Please call with any questions,
>
> Thank you,
>
> Russell
>